Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.events.data
Interface TaskClaimEvent

All Superinterfaces:
  Serializable, TaskEvent

    public interface TaskClaimEvent

extends TaskEvent

Represents a claim on a task. The claim event contains assignment information for cases where a task has been auto-claimed. In such a case, the isAutoClaim() method returns true, and this event will contain both assignee and claimant information. Otherwise, the task was claimed separate from the assignment of the task, and this event contains only claimant information.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.wli.worklist.api.events.data.TaskEvent
`TaskEvent.Type`

Method Summary
`TaskAssignEvent` | `getAssignEvent()` Get the TaskAssignEvent that was rolled into this event when the task was auto-claimed.
`String` | `getNewClaimant()` The new claimant if any.
`String` | `getOldClaimant()` The old claimant if any.
`boolean` | `isAutoClaim()` Was this task auto-claimed? If so, this returns true, and the old assignee and new assignee information is available on this event.

Methods inherited from interface com.bea.wli.worklist.api.events.data.TaskEvent
`getAdminState, getAssigneeList, getCaller, getClaimant, getCreator, getEventType, getOwner, getServerName, getSummary, getTaskId, getTaskName, getTaskPlanId, getTimestamp, getWorkingState`

Method Detail

### getOldClaimant

    String getOldClaimant()

  The old claimant if any. NOTE: The data may or may not be populated depending on the configuration done during registration of the listener.

  Returns:

### getNewClaimant

    String getNewClaimant()

  The new claimant if any. NOTE: The data may or may not be populated depending on the configuration done during registration of the listener.

  Returns:

### isAutoClaim

    boolean isAutoClaim()

  Was this task auto-claimed? If so, this returns true, and the old assignee and new assignee information is available on this event.

### getAssignEvent

    TaskAssignEvent getAssignEvent()

  Get the TaskAssignEvent that was rolled into this event when the task was auto-claimed. This method only returns non-null when isAutoClaim() returns true;

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD